petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSFSetFromOptions

set PetscSF options using the options database

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetFromOptions(PetscSF sf)

Logically Collective

### Input Arguments

sf -star forest

### Options Database Keys

| -sf_type | - implementation type, see PetscSFSetType()
| -sf_rank_order | - sort composite points for gathers and scatters in rank order, gathers are non-deterministic otherwise

### Keywords

KSP, set, from, options, database

### See Also

PetscSFWindowSetSyncType()

### Level

intermediate

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html
src/vec/is/sf/examples/tutorials/ex1f.F90.html

### Implementations

PetscSFSetFromOptions_Basic in src/vec/is/sf/impls/basic/sfbasic.c
PetscSFSetFromOptions_Window in src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages